claw::graphic::jpeg::writer::options Struct Reference

Parameters of the writing algorithm. More...

`#include <jpeg.hpp>`

## Public Member Functions

| options ()
| Default constructor.
| options (unsigned char compression_quality_, bool progressive_)
| Constructor.

## Public Attributes

unsigned char | quality
| Quality level to use in the saved stream.
bool | progressive
| Tell if we save a progressive jpeg.

## Detailed Description

Parameters of the writing algorithm.

Definition at line 174 of file jpeg.hpp.

## Constructor & Destructor Documentation

## options() [1/2]

claw::graphic::jpeg::writer::options::options | ( |  | ) |

Default constructor.

Remarks
  Default options are quality = 75 % and progressive = false.

Definition at line 137 of file jpeg_writer.cpp.

References progressive, and quality.

## options() [2/2]

claw::graphic::jpeg::writer::options::options | ( | unsigned char | quality_,
|  | bool | progressive_ )

Constructor.

Parameters

  quality_ | Quality of the saved image.
  progressive_ | Tell if we save a progressive jpeg.

Remarks
  If quality_ > 100, then it will be adjusted to 100 when saving.

Definition at line 150 of file jpeg_writer.cpp.

References progressive, and quality.

## Member Data Documentation

## progressive

bool claw::graphic::jpeg::writer::options::progressive

Tell if we save a progressive jpeg.

Definition at line 185 of file jpeg.hpp.

Referenced by options(), and options().

## quality

unsigned char claw::graphic::jpeg::writer::options::quality

Quality level to use in the saved stream.

Definition at line 182 of file jpeg.hpp.

Referenced by options(), and options().

The documentation for this struct was generated from the following files:

- jpeg.hpp
- code/jpeg_writer.cpp